Bug 21151 - SRU search fields mapping pop-up comes up empty
Summary: SRU search fields mapping pop-up comes up empty
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 19436
Blocks: 21243
  Show dependency treegraph
 
Reported: 2018-08-02 22:43 UTC by Katrin Fischer
Modified: 2018-09-21 10:11 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21151: Fix SRU search fields mapping pop-up (2.93 KB, patch)
2018-08-02 22:52 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21151: Fix SRU search fields mapping pop-up (2.98 KB, patch)
2018-08-03 12:05 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21151: Fix SRU search fields mapping pop-up (2.99 KB, patch)
2018-08-08 07:54 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2018-08-02 22:43:04 UTC
Broken in at least master and 18.05.
Comment 1 Katrin Fischer 2018-08-02 22:52:14 UTC
Created attachment 77460 [details] [review]
Bug 21151: Fix SRU search fields mapping pop-up

The SRU search fields mapping pop-up comes up as a blank white
page.

To test:
- Go to Administration > Z39.50/SRU servers
- Modify or create an SRU server
- Click on the 'Modify' button to change mappings
- Verify the new window that opens is blank
- Apply patch
- Verify the pop-up now is no longer blank but works
  correctly.

Bonus: Spottd some HTML errors while looking for the
       problem. Also fixed in the patch.
Comment 2 Owen Leonard 2018-08-03 12:05:41 UTC
Created attachment 77468 [details] [review]
Bug 21151: Fix SRU search fields mapping pop-up

The SRU search fields mapping pop-up comes up as a blank white
page.

To test:
- Go to Administration > Z39.50/SRU servers
- Modify or create an SRU server
- Click on the 'Modify' button to change mappings
- Verify the new window that opens is blank
- Apply patch
- Verify the pop-up now is no longer blank but works
  correctly.

Bonus: Spottd some HTML errors while looking for the
       problem. Also fixed in the patch.

https://bugs.koha-community.org/show_bug.cgi?id=21141

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Marcel de Rooy 2018-08-03 12:32:26 UTC
Part of this fix is already in bug 19436. Waiting for a push too long already.
Comment 4 Julian Maurice 2018-08-08 07:54:26 UTC
Created attachment 77551 [details] [review]
Bug 21151: Fix SRU search fields mapping pop-up

The SRU search fields mapping pop-up comes up as a blank white
page.

To test:
- Go to Administration > Z39.50/SRU servers
- Modify or create an SRU server
- Click on the 'Modify' button to change mappings
- Verify the new window that opens is blank
- Apply patch
- Verify the pop-up now is no longer blank but works
  correctly.

Bonus: Spottd some HTML errors while looking for the
       problem. Also fixed in the patch.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 5 Katrin Fischer 2018-08-08 10:18:14 UTC
(In reply to Marcel de Rooy from comment #3)
> Part of this fix is already in bug 19436. Waiting for a push too long
> already.

I think this will be useful as a quick fix and for backporting to 18.05 as a bugfix. But also keen on the functionality of 19436 for 18.11.
Comment 6 Nick Clemens 2018-08-08 21:34:44 UTC
Awesome work all!

Pushed to master for 18.11
Comment 7 Martin Renvoize 2018-08-09 10:17:20 UTC
Pushed to 18.05.x for 18.05.03
Comment 8 Katrin Fischer 2018-08-17 16:36:30 UTC
Patch was broken when resolving a conflict I guess, patch in master and 18.05 is NOT my patch. Instead of fixing, it now breaks everything.
Comment 9 Fridolin SOMERS 2018-09-21 10:11:13 UTC
Depends on Bug 19436 not in 17.11.x